Name: qtscope
Version: 0.64
Release: alt1

Summary: QTScope - a simple, plugin based oscilloscope program
Summary(ru_RU.KOI8-R): QTScope -   ,  

Group: Video
License: GPL
Url: http://www.linux-usb-daq.co.uk/software2/qtscope/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.linux-usb-daq.co.uk/software2/knoppix/%{name}_%version-1.tar.bz2
Patch: %name-gcc.patch

# Automatically added by buildreq on Fri Dec 03 2004
BuildRequires: fontconfig freetype2 gcc-c++ libcomedi-devel libqt3-devel libstdc++-devel xorg-x11-devel xorg-x11-libs
BuildPreReq: libqwt-devel >= 4.2.0-alt3
BuildPreReq: libqwt-devel < 5.0

%description
QTScope is a program to display the signals acquired from daq devices
via the comedi library. It is based on the QT Widget Library
(Trolltech) and provides a plugin architecture which makes it easy to
write own visualisation plugins.

%prep
%setup -q
%patch
#%__subst "s|plugins||" qtscope.pro
#%__subst "s|/local||" plugins/plugins.pro

export QTDIR=%_libdir/qt3
$QTDIR/bin/qmake qtscope.pro
(cd src && $QTDIR/bin/qmake src.pro)
(cd plugins && $QTDIR/bin/qmake plugins.pro)


%build
export QTDIR=%_libdir/qt3
#export QWTDIR=%_libdir/qt3
export PATH=$QTDIR/bin:$PATH
%make

%install
%make_install
%__install -D -m0755 bin/%name %buildroot/%_bindir/%name

%__mkdir_p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name):command="%name" \
icon="%name.png" \
needs="X11" \
section="Applications/Sciences/Other"\
title="QTScope" \
longtitle="Oscilloscope program"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc README
%_bindir/%name
%_menudir/*

%changelog
* Sun Jun 18 2006 Vitaly Lipatov <lav@altlinux.ru> 0.64-alt1
- new version (0.64)

* Tue Mar 01 2005 Vitaly Lipatov <lav@altlinux.ru> 0.60-alt1
- new version

* Fri Feb 11 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt0.3
- rebuld with updated libqwt*

* Wed Dec 15 2004 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt0.2
- fix menu and spec

* Fri Dec 03 2004 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt0.1
- first build for Sisyphus
- disable plugins
